javax.swing.plaf.basic

## Class BasicFileChooserUI.AcceptAllFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - javax.swing.plaf.basic.BasicFileChooserUI.AcceptAllFileFilter

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.AcceptAllFileFilter
    extends FileFilter

### Constructor Summary

Constructors
Constructor and Description
`BasicFileChooserUI.AcceptAllFileFilter()`

### Method Summary

Methods
`boolean` `accept(File f)` Whether the given file is accepted by this filter.
`String` `getDescription()` The description of this filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicFileChooserUI.AcceptAllFileFilter

    public BasicFileChooserUI.AcceptAllFileFilter()

### Method Detail

#### accept

    public boolean accept(File f)

Description copied from class: `FileFilter`
Whether the given file is accepted by this filter.

Specified by:
  `accept` in class `FileFilter`

#### getDescription

    public String getDescription()

Description copied from class: `FileFilter`
The description of this filter. For example: "JPG and GIF Images"

Specified by:
  `getDescription` in class `FileFilter`
See Also:
  `FileView.getName(java.io.File)`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.